Page MenuHomePhabricator

[DO NOT USE] Deploy HHVM for all users (tracking) [superseded by #HHVM]
Closed, InvalidPublic

Description

This is effectively a tracking bug for a issue blocked by HHVM not being rolled out yet.

With Phabricator, tasks are tracked via the tag HHVM which a list of bugs and a work board.


Version: wmf-deployment
Severity: normal

Details

Reference
bz70418

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:49 AM
bzimport set Reference to bz70418.
bzimport added a subscriber: Unknown Object (MLST).
greg added a comment.Sep 4 2014, 9:44 PM

What's the issue? :)

Also, FYI, you can see all of the HHVM related bugs by querying for the "hiphop" keyword, a la this url:
https://bugzilla.wikimedia.org/buglist.cgi?keywords=hiphop&list_id=341793&resolution=---

Ori and Andre decided to use the keyword instead of a tracking bug for the HHVM work for reasons I don't remember/wasn't a part of but something along the lines of "makes the most sense in this case." ;)

Having a bug to track "blockers to be addressed before HHVM enabled for all users" might be useful; I'll let Ori, as HHVM lead, decided how he wants to do that.

greg added a comment.Sep 4 2014, 9:48 PM

(Lego told me the issue that this is probably referring to, adding this as a blocker to it.)

Yep, talked to Ori already, and this bug made the most sense, feel free to rename/move etc. but we need *something* to be a blocker and this made the most sense.

greg added a comment.Sep 4 2014, 10:15 PM

(In reply to Jared Zimmerman (WMF) from comment #3)

Yep, talked to Ori already, and this bug made the most sense, feel free to
rename/move etc. but we need *something* to be a blocker and this made the
most sense.

word.

[adding "hiphop" keyword]

This is a tracking bug without the tracking keyword that is not blocking any other bugs. Can we resolve to resolve it?

HHVM related issues impacts a wide range of bugzilla components so they are tracked via the keyword 'hhvm'. The dashboard of pending bug is:

https://bugzilla.wikimedia.org/buglist.cgi?keywords=hhvm&resolution=---

greg added a comment.Sep 24 2014, 6:40 PM

(In reply to Antoine "hashar" Musso from comment #7)

HHVM related issues impacts a wide range of bugzilla components so they are
tracked via the keyword 'hhvm'. The dashboard of pending bug is:
https://bugzilla.wikimedia.org/buglist.cgi?keywords=hhvm&resolution=---

Sure, but not all of those are blockers for full deployment. As far as I understand it (if they're all blockers...... we have 37 bugs to resolve as of right now, and I know at least one is not a blocker).

(In reply to Bryan Davis from comment #6)

This is a tracking bug without the tracking keyword that is not blocking any
other bugs. Can we resolve to resolve it?

We have a dependent bug, bug 71212 ("Make it possible to quickly and programmaticly pool and depool application servers").

Reopening accordingly.

hashar updated the task description. (Show Details)Nov 25 2014, 2:27 PM
hashar edited projects, added HHVM; removed Wikimedia-General-or-Unknown.
hashar set Security to None.
Joe closed this task as Resolved.Jan 5 2015, 4:35 PM
hashar awarded a token.Jan 5 2015, 7:52 PM
Danny_B renamed this task from Deploy HHVM for all users (tracking) to [DO NOT USE] Deploy HHVM for all users (tracking) [superseded by #HHVM].Jul 20 2016, 1:39 AM
Danny_B changed the task status from Resolved to Invalid.
Danny_B lowered the priority of this task from Normal to Lowest.
Danny_B moved this task from Tag to Transition completed / Archived on the Tracking-Neverending board.
Danny_B removed a subscriber: wikibugs-l-list.